@import 'settings';

.ImageForeignKeyWidget,
.VideoForeignKeyWidget {
    input[type="hidden"] + .related-lookup {
        margin-left: 0;
        padding-left: 0;
    }

    .related-lookup {
        margin: 10px 0 5px 0;
    }

    .foreignKeyImage {
        display: block;
        margin-top: 10px;

        img {
            // hide img without src
            display: none;

            &[src] {
                display: inline;
            }
        }

        &.empty {
            display: none;
        }
    }

    .changelink {
        display: block;
        margin: 10px 0;
        max-width: 100%;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
}

